> ## Documentation Index
> Fetch the complete documentation index at: https://docs.projectio.com.au/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch Indicator Disaggregation

> Update the specified disaggregation.



## OpenAPI

````yaml PATCH /v1/projects/{project_id}/elements/{element_id}/indicators/{indicator_id}/disaggregations/{id}
openapi: 3.1.0
info:
  title: Torch Impact Management API
  description: >-
    API for managing users, projects, indicators, targets, results, and impact
    data in Torch.
  version: '2026-01-27'
servers:
  - url: https://{tenant}.torchapp.com.au/api
    variables:
      tenant:
        default: demo
        description: Your Torch tenant subdomain.
security:
  - bearerAuth: []
tags:
  - name: Auth
  - name: Users
  - name: Projects
  - name: Elements
  - name: Indicators
  - name: Disaggregations
  - name: Targets
  - name: Results
  - name: Assignments
  - name: Misc
paths:
  /v1/projects/{project_id}/elements/{element_id}/indicators/{indicator_id}/disaggregations/{id}:
    patch:
      tags:
        - Disaggregations
      summary: Patch disaggregation
      description: Update the specified disaggregation.
      parameters:
        - $ref: '#/components/parameters/ProjectIdAlt'
        - $ref: '#/components/parameters/ElementIdAlt'
        - $ref: '#/components/parameters/IndicatorIdAlt'
        - $ref: '#/components/parameters/DisaggregationId'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DisaggregationUpdate'
      responses:
        '200':
          description: Disaggregation updated
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
        '401':
          $ref: '#/components/responses/Unauthenticated'
components:
  parameters:
    ProjectIdAlt:
      name: project_id
      in: path
      required: true
      schema:
        type: integer
      description: The ID of the project.
    ElementIdAlt:
      name: element_id
      in: path
      required: true
      schema:
        type: integer
      description: The ID of the element.
    IndicatorIdAlt:
      name: indicator_id
      in: path
      required: true
      schema:
        type: integer
      description: The ID of the indicator.
    DisaggregationId:
      name: id
      in: path
      required: true
      schema:
        type: integer
      description: The ID of the disaggregation.
  schemas:
    DisaggregationUpdate:
      type: object
      properties:
        category:
          type: string
          example: b
          maxLength: 255
        name:
          type: string
          example: 'n'
          maxLength: 255
        baseline:
          type: number
          example: 4326.41688
        description:
          type: string
          example: Eius et animi quos velit et.
    UnauthenticatedError:
      type: object
      properties:
        message:
          type: string
          example: Unauthenticated.
      required:
        - message
  responses:
    Unauthenticated:
      description: Unauthenticated
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthenticatedError'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````